# AutoSyncHost
## Description
### An automatic midi host application that send midi sync commands to other MIDI devices connected via USB.

This python scrtipt is intended to run headless on a raspbery pi but can run on any other python able device as well. 

The output is filtered so the host deosnt receive sync signals from the members and thus not causing midi loops.

## Installation
 
- pull from repository with `git clone https://git.raise-uav.com/Hermes/AutoSyncHost.git`
- `pip install mido` 
- `pip install python-rtmidi`
- `python ashost.py` in folder
- App is running and waiting for a device playing

## Usage
- First MIDI device that sends a midi "start" command becomes the host everybody listens to.
- After hitting stop, ASH has an assigned host and all devices are in sync when pressing play again.
- Pressing "stop" three times will unbind the host from its duties and restart the app and assignment. 

### Notes
It is especially interesting for devices that don´t have a physical MIDI port like the OP-Z or OP-1.

 

